## com.puppycrawl.tools.checkstyle.checks.blocks
Class LeftCurlyCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck<LeftCurlyOption>
                      com.puppycrawl.tools.checkstyle.checks.blocks.LeftCurlyCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class LeftCurlyCheck

extends AbstractOptionCheck<LeftCurlyOption>

Checks the placement of left curly braces on types, methods and other blocks: `LITERAL_CATCH`, `LITERAL_DO`, `LITERAL_ELSE`, `LITERAL_FINALLY`, `LITERAL_FOR`, `LITERAL_IF`, `LITERAL_SWITCH`, `LITERAL_SYNCHRONIZED`, `LITERAL_TRY`, `LITERAL_WHILE`.

The policy to verify is specified using the `LeftCurlyOption` class and defaults to `LeftCurlyOption.EOL`. Policies `LeftCurlyOption.EOL` and `LeftCurlyOption.NLOW` take into account property maxLineLength. The default value for maxLineLength is 80.

An example of how to configure the check is:

     <module name="LeftCurly"/>

An example of how to configure the check with policy `LeftCurlyOption.NLOW` and maxLineLength 120 is:

     <module name="LeftCurly">
          <property name="option"
     value="nlow"/>     <property name="maxLineLength" value="120"/> <
     /module>

Version:
  1.0
Author:
  Oliver Burn, lkuehne

Constructor Summary
`LeftCurlyCheck()` Creates a default instance and sets the policy to EOL.

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setMaxLineLength(int aMaxLineLength)` Sets the maximum line length used in calculating the placement of the left curly brace.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeftCurlyCheck

    public LeftCurlyCheck()

  Creates a default instance and sets the policy to EOL.

Method Detail

### setMaxLineLength

    public void setMaxLineLength(int aMaxLineLength)

  Sets the maximum line length used in calculating the placement of the left curly brace.

  Parameters:
    `aMaxLineLength` - the max allowed line length

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Copyright © 2001-2011. All Rights Reserved.